import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  siteKey: z.literal(true).optional(),
  username: z.literal(true).optional(),
  password: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const InsuranceCredentialCountAggregateInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialCountAggregateInputType>;
export const InsuranceCredentialCountAggregateInputObjectZodSchema = makeSchema();
